# -*- coding: UTF-8 -*-

# -*- coding: UTF-8 -*-
from __future__ import unicode_literals
from django.db.models import F, Q
from rpc.decorators import bind_context
from ..queries.insurance import ServiceItemDQ

uri_pre = 'hera/insurance'


@bind_context(uri_pre + '/serviceitem_query')
def service_item_query(ctx, options):
    dqobj = ServiceItemDQ(init_q=~Q(service__insurance=0))
    return dqobj.process(**options)
